# Copyright (C) 2008-2009 LottaNZB Development Team
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 3.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

from kiwi.ui.delegates import Delegate

from lottanzb import __version__

class Dialog(Delegate):
    gladefile = "about_dialog"
    
    def __init__(self):
        Delegate.__init__(self)
        
        self.toplevel.set_version(__version__)
        self.toplevel.set_name("LottaNZB")
        self.toplevel.connect("response", self.on_response)
    
    def on_response(self, widget, response):
        self.hide()
